Rockbox Technical Forums

Support and General Use => Plugins/Viewers => Topic started by: natanelho on October 16, 2014, 03:44:13 PM

Title: cant use plugins
Post by: natanelho on October 16, 2014, 03:44:13 PM
idk why but i cant use any plugins. i was able b4, but now i cant. i just connected my clipzip to pc (didnt deleted any file) and now every time i try to use plugins it says "cant open" and the dir of the rocks. help!
Title: Re: cant use plugins
Post by: saratoga on October 16, 2014, 06:25:59 PM
According to your other thread you tried to copy plugins compiled for a different system to your player. I don't know what else you've done but I would reinstall and see if that fixes it.
Title: Re: cant use plugins
Post by: natanelho on October 16, 2014, 10:43:51 PM
i copied *.rock files! nad i only copied the 2048 game!
all the other plugins and games were installed automatically when i plased the bin file(you know, the one that installs rockbox)
Title: Re: cant use plugins
Post by: natanelho on October 16, 2014, 10:56:17 PM
do U mean that the files are different between different versions of rockbox, and the simulator runs another version then the stable V 3.1.3?
EDIT:
The problem was solved by formatting my clip zip, re-installing manually, and then installing the games by utility.
but the 2048 game still don't work.
EDIT 2:
the main_menu_config don't work to.
Title: Re: cant use plugins
Post by: saratoga on October 17, 2014, 09:06:10 AM
Plugins have to be compiled for the CPU and build they are paired with. They won't work otherwise.
Title: Re: cant use plugins
Post by: natanelho on October 18, 2014, 11:28:02 AM
but HOW?
I installed the games and plugins via the Utility, and all of them work except the 2048 game. what can i do? how to fix it ? how to compile? I tried to use the guide you have on the site, but did not really understand what to do ... help?
Title: Re: cant use plugins
Post by: saratoga on October 18, 2014, 11:30:20 AM
You can't install games or plugins, they are part of the main build. If you're running too old of a build to have a new game, just update.
Title: Re: cant use plugins
Post by: natanelho on October 18, 2014, 11:33:48 AM
im running the stable 3.1.3
what version do i nned to run on my sansa to run the 2048 game?
Title: Re: cant use plugins
Post by: saratoga on October 18, 2014, 02:09:42 PM
That's a year or so too old. Try the current build.
Title: Re: cant use plugins
Post by: __builtin on October 18, 2014, 07:51:19 PM
2048 was added just this August, so it's not in the stable build.
Title: Re: cant use plugins
Post by: natanelho on October 19, 2014, 01:05:29 AM
oh, thanks! i have installed the last build nad it works perfectly! THX a lot!
i have a couple of more questions:
How often the dev builds receive updates?
How often the stable builds receive updates?
how to make 2048 fullscreen on sansa clip zip(i don't care about the score- i dont care if it'll be removed to make the game fullscreen)?
Title: Re: cant use plugins
Post by: saratoga on October 19, 2014, 12:33:47 PM
Dev builds are compiled on every source code change. Stable builds are whenever we get around to it.
Title: Re: cant use plugins
Post by: natanelho on October 19, 2014, 02:06:18 PM
oh, i understand :-)
how to make the 2048 fullscreen and remove the score out of the screen?
Title: Re: cant use plugins
Post by: __builtin on October 19, 2014, 03:05:21 PM
how to make the 2048 fullscreen and remove the score out of the screen?
If enough people want this, I might remove the score on small screens. If not, you can try to make it happen yourself. It's really not that hard. ;)
Title: Re: cant use plugins
Post by: natanelho on October 21, 2014, 12:32:31 PM
how to make the 2048 fullscreen and remove the score out of the screen?
If enough people want this, I might remove the score on small screens. If not, you can try to make it happen yourself. It's really not that hard. ;)
man idk how to compile it  :'( and im learning in boarding school so i have no enogh time for it
pls compile that for me (last build clip zip) and send me the *.rock in pm and tell me wich build to install
Title: Re: cant use plugins
Post by: nick_p on October 21, 2014, 07:25:20 PM
man idk how to compile it  :'( and im learning in boarding school so i have no enogh time for it

If you've got time to play games, you've got time to work out how to compile them.
Title: Re: cant use plugins
Post by: __builtin on October 21, 2014, 07:30:33 PM
In essence, it'll be like this:
1. Generate bitmaps that fit the whole screen
2. Modify rockbox/apps/plugins/bitmaps/native/SOURCES so that those bitmaps are used on the clip zip
3. Take out the  title/score drawing code in 2048.c

Simple! 8)
Title: Re: cant use plugins
Post by: natanelho on October 22, 2014, 02:15:35 PM
man im learning all the day. when i have time for games, i have no computer :-(
i know low level c lang and idk how to compile(i did everything they say in the guide and idk what happend and when the rock file is)
Title: Re: cant use plugins
Post by: __builtin on October 22, 2014, 04:08:03 PM
i know low level c lang and idk how to compile(i did everything they say in the guide and idk what happend and when the rock file is)

build/apps/plugins/2048.rock
Title: Re: cant use plugins
Post by: natanelho on October 23, 2014, 03:48:34 PM
i don't understand what is this structure and what is those hexes